Bug 984221 - Fedup downloads packages in serial, which is really slow
Fedup downloads packages in serial, which is really slow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 13:38 EDT by Conrad Meyer
Modified: 2013-12-22 00:34 EST (History)
3 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:22:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2013-07-13 13:38:49 EDT
Description of problem:
Yum has had parallel HTTP downloads of packages for quite a while. This helps keep the user's internet connection busy at all times -- vs the connect, transfer a file, tear down connection latency of single-file-at-a-time downloads.

Since Fedup is based on Yum, it should be easy to add parallel-download functionality to Fedup. And it is!


Version-Release number of selected component (if applicable):
Latest git on github/wgwoods/fedup


Additional info:
Please take my pull request here:
https://github.com/wgwoods/fedup/pull/8

Thanks! :-)


You may want to spend some time figuring out how Yum keeps the download bar UI in the face of many downloads. I'm not quite sure, but I care about parallel downloads more than the progress bar.

I love fedup, it's worked beautifully for several F18->F19 upgrades for me so far. Keep up the good work :).
Comment 1 Will Woods 2013-07-16 12:08:19 EDT
Thanks for the patches, and the kind words!

Unfortunately, though, I'm hesitant to apply your patchset if it's going to kill the progress meter. People get really twitchy if they don't see anything printed to screen for a few seconds. See (e.g.) bug 972358.

Still, if we can work out how yum-cli does its async download progress meters we can probably just do whatever yum does and everything will Just Work. Or at least it'll be yum's problem if/when it doesn't.
Comment 2 Conrad Meyer 2013-07-16 12:33:25 EDT
Hey Will,

That sounds fine to me. I bet using yum's progress bar won't be that hard, I just didn't have time to look into it earlier (and won't today, $DAYJOB).

Thanks.
Comment 3 Fedora End Of Life 2013-09-16 12:46:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Will Woods 2013-12-06 13:58:01 EST
This should be fixed in fedup 0.8.0:

  https://github.com/wgwoods/fedup/commit/7dcbade
Comment 5 Fedora Update System 2013-12-11 17:12:30 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 6 Fedora Update System 2013-12-11 17:20:44 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 7 Fedora Update System 2013-12-11 17:22:33 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 8 Fedora Update System 2013-12-13 00:10:00 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-19 02:22:30 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-19 20:44:50 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-22 00:34:57 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.